[android-components](../../../index.md) / [mozilla.components.feature.addons.ui](../../index.md) / [AddonPermissionsAdapter](../index.md) / [PermissionViewHolder](./index.md)

# PermissionViewHolder

`class PermissionViewHolder : ViewHolder` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/AddonPermissionsAdapter.kt#L44)

A view holder for displaying the permissions of an add-on.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `PermissionViewHolder(view: <ERROR CLASS>, textView: <ERROR CLASS>)`<br>A view holder for displaying the permissions of an add-on. |

### Properties

| Name | Summary |
|---|---|
| [textView](text-view.md) | `val textView: <ERROR CLASS>` |
| [view](view.md) | `val view: <ERROR CLASS>` |
